### Method

# Ide HeaderBar add_primary

#### Declaration

    void
    ide_header_bar_add_primary (
      IdeHeaderBar* self,
      GtkWidget* widget
    )

#### Description

Adds a widget to the primary button section of the workspace header. This is the left, for LTR languages.

Available since: | 3.32

#### Parameters

`widget` | `GtkWidget`
| No description available.
| The data is owned by the caller of the function.